Subject: bug#13582: [PATCH] stat: add ext4 to the ext2/ext3 list

From: Bernhard Voelker <[email-masked]>
Date: Wed, 30 Jan 2013 23:09:11 +0100

On 01/30/2013 10:27 PM, Bob Proulx wrote:
> I am just adding references here to tie in the previous discussions.

Thanks for that excellent summary.

Reading (again) through it, it seems to me that we have 2 arguments:

a) basically, it would be good to be able to distinguish ext2/ext3
from ext4 while it is problematic in the real world due to EXT4's
nature - or at least would bring a lot of code into stat.

b) just adding "ext4" to "ext2/ext3" as it has already been proposed
by several people could break existing scripts that use code like this:

>       test "$(stat -f -c %T .)" = ext2/ext3 && ...

I'm wondering how often users check for the hard coded string
"ext2/ext3"? Do we have any numbers?

Have a nice day,
Berny